
Auto Multiple Choice - Bug # 198: AMC configuration (and others) fail with manually installed TeXLive 
2012 on Ubuntu 13.04 (Raring)

Status: Closed Priority: Normal
Author: Roberto González Category:
Created: 08/16/2013 Assignee:
Updated: 10/31/2014 Due date:
Description: I'm using TeXLive 2012, which I installed manually following the instructions here:

http://tex.stackexchange.com/questions/1092/how-to-install-vanilla-texlive-on-debian-or-ubuntu

Then, I added the Ubuntu PPA repository for the latest stable release of AMC, and run sudo apt-get install 
auto-multiple-choice, but the terminal returned the following error message the first time:

Configuring auto-multiple-choice (1.2.0-5) ...
/var/lib/dpkg/info/auto-multiple-choice.postinst: 23: /var/lib/dpkg/info/auto-multiple-choice.postinst: texhash: 
not found
dpkg: error processing auto-multiple-choice (--configure):
 subprocess script post-installation returned output error code 127

As texash is located at /usr/local/texlive/2012/bin/x86_64-linux/texhash in my system, I created a symbolic link 
to texhash, as Alexis suggested:

sudo ln -s /usr/local/texlive/2012/bin/x86_64-linux/texhash /usr/bin/texhash

Then, I reinstalled AMC. This time the system didn't complain about not finding texhash. Instead, it gave me 
the following error message:

Configuring auto-multiple-choice (1.2.0-5) ...
/usr/bin/texhash: 1: /usr/bin/texhash: kpsewhich: not found
texhash: Done.

I run which command, and it gave me this output:

/opt/texbin/kpsewhich

I must add that, when creating an exam from the gui, Update documents button apparently does 'something', 
but when reading the output details I find this everytime:

(/usr/local/texlive/2012/texmf-dist/tex/latex/metalogo/metalogo.sty))
! LaTeX Error: File `automultiplechoice.sty' not found.
Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)
Enter file name: 
! Emergency stop.

I think it's all about making some changes in my PATH, so the system can find everything it needs to work 
properly. The question is.... what are the changes I need to do?

Thanks in advance.
Roberto. 
History
08/16/2013 11:21 pm - Alexis Bienvenüe
It seems that kpsewhich is also not in the root's PATH... Try adding another link
@ln -s /opt/texbin/kpsewhich /usr/bin/kpsewhich@, or make root's PATH the same as yours (if you use @sudo@ for installing with @apt-get@, the 
PATH used may be written in the @/etc/sudoers@ file).

> ! LaTeX Error: File `automultiplechoice.sty' not found.
The @sty@ file is not registered with @texhash@, so LaTeX does not find it.

09/12/2013 08:57 am - Alexis Bienvenüe
- Status changed from New to Feedback

10/31/2014 07:12 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed
